/*************************\
*                         *
*  Implements TCADHandle  *
*                         *
\*************************/

#include <stdio.h>
#include "handle.h"
#include "view.h"
#include "debug.h"

TCADHandle::TCADHandle(THandleType Type)
{
	DTP("TCADHandle::TCADHandle()\n");

  this->Type = Type;
  Attached = FALSE;
}

void
TCADHandle::Draw(TCADView *View,GdkGC *GC,char Selected,int MagA,int MagB)
{
  GdkColormap *CM;
	int d=HANDLE_SIZE/2;

//	DTP("TCADHandle::Draw()\n");

  if (Attached) {
    gdk_gc_set_foreground(GC,&View->BlueColor);
    gdk_draw_rectangle(View->GetDrawable(),GC,Selected,x*MagA/MagB-d,y*MagA/MagB-d,HANDLE_SIZE,HANDLE_SIZE);
    gdk_gc_set_foreground(GC,&View->BlackColor);
  }
  else {
    gdk_draw_rectangle(View->GetDrawable(),GC,Selected,x*MagA/MagB-d,y*MagA/MagB-d,HANDLE_SIZE,HANDLE_SIZE);
  }
}

