/***********\
*           *
*  Handles  *
*           *
\***********/

#ifndef GTKFIG_HANDLE_H
#define GTKFIG_HANDLE_H

#include <gtk/gtkwidget.h>

/*
 * Handle - used for resizing objects
 */

#define HANDLE_SIZE 8  // Handle width and height

typedef enum { HT_NORMAL, HT_LINEEND, HT_LINE_OTHER } THandleType;

class TCADView;

class TCADHandle {
public:
  int x,y;
  gboolean Attached;
  THandleType Type;

  TCADHandle(THandleType Type = HT_NORMAL);
  void Draw(TCADView *View,GdkGC *GC,char Selected,int MagA,int MagB);
};

#endif

